Skip to navigation

Get spans by project_name or project_id and optionally by trace_id and/or type

View as Markdown

Get spans by project_name or project_id and optionally by trace_id and/or type

Query parameters

pageintegerOptional>=1Defaults to 1
sizeintegerOptional>=1Defaults to 10
project_namestringOptional
project_idstringOptionalformat: "uuid"
trace_idstringOptionalformat: "uuid"
typeenumOptional
Allowed values:
filtersstringOptional
truncatebooleanOptionalDefaults to false
Truncate input, output and metadata to slim payloads
strip_attachmentsbooleanOptionalDefaults to false

If true, returns attachment references like [file.png]; if false, downloads and reinjects stripped attachments

sortingstringOptional
excludestringOptional
searchstringOptional

Full-text search across span fields

from_timedatetimeOptional

Filter spans created from this time (ISO-8601 format).

to_timedatetimeOptional

Filter spans created up to this time (ISO-8601 format). If not provided, defaults to current time. Must be after ‘from_time’.

Response

Spans resource
pageintegerOptional
sizeintegerOptional
totallongOptional
contentlist of objectsOptional
sortableBylist of stringsOptional